#############################################################################
#
# DOS specific files used by ZAF libraries.
#
#############################################################################

#
# Hardware source file (compiler dependent).
#
!if "$(ZINC_COMPILER)" == "BORLAND"
ZAF_SOURCE_DOS_HARDWARE=\
d_btcat.cpp
!elif "$(ZINC_COMPILER)" == "MICROSOFT"
ZAF_SOURCE_DOS_HARDWARE=\
d_mscat.cpp
!elif "$(ZINC_COMPILER)" == "WATCOM"
ZAF_SOURCE_DOS_HARDWARE=\
d_wccat.cpp
!elif "$(ZINC_COMPILER)" == "SYMANTEC"
ZAF_SOURCE_DOS_HARDWARE=\
d_sccat.cpp
!endif

#
# Display source file.
#
#ZAF_SOURCE_DISPLAY=i_ugldsp.cpp
ZAF_SOURCE_DISPLAY=i_metdsp.cpp

#
# General DOS source files.
#
ZAF_SOURCE_DOS=\
d_app.cpp \
d_dskfil.cpp \
d_dsp.cpp \
d_error.cpp \
d_evtmgr.cpp \
d_image.cpp \
d_keybrd.cpp \
d_mouse.cpp \
d_print.cpp \
d_timer.cpp \
d_input.cpp \
$(ZAF_SOURCE_DISPLAY)
